# Uses of Class
org.apache.commons.fileupload2.core.FileItemFactory.AbstractFileItemBuilder

Packages that use FileItemFactory.AbstractFileItemBuilder
Package
Description
org.apache.commons.fileupload2.core
A component for handling HTML file uploads as specified by RFC 1867.

## Uses of FileItemFactory.AbstractFileItemBuilder in org.apache.commons.fileupload2.core

Classes in org.apache.commons.fileupload2.core with type parameters of type FileItemFactory.AbstractFileItemBuilder
Modifier and Type
Class
Description
`static class`
`FileItemFactory.AbstractFileItemBuilder<I extends FileItem<I>, B extends FileItemFactory.AbstractFileItemBuilder<I,B>>`
Abstracts building for subclasses.
Subclasses of FileItemFactory.AbstractFileItemBuilder in org.apache.commons.fileupload2.core
Modifier and Type
Class
Description
`static class`
`DiskFileItem.Builder`
Builds a new `DiskFileItem` instance.
Methods in org.apache.commons.fileupload2.core with type parameters of type FileItemFactory.AbstractFileItemBuilder
Modifier and Type
Method
Description
`<B extends FileItemFactory.AbstractFileItemBuilder<I,B>>
FileItemFactory.AbstractFileItemBuilder<I,B>`
FileItemFactory.`fileItemBuilder()`
Creates a new AbstractFileItemBuilder.
Methods in org.apache.commons.fileupload2.core that return FileItemFactory.AbstractFileItemBuilder
Modifier and Type
Method
Description
`<B extends FileItemFactory.AbstractFileItemBuilder<I,B>>
FileItemFactory.AbstractFileItemBuilder<I,B>`
FileItemFactory.`fileItemBuilder()`
Creates a new AbstractFileItemBuilder.